//+------------------------------------------------------------------+
//|                                         Published SWAP rates.mq4 |
//|                                Copyright  2006, Nicholas Barker |
//|                                          http://www.apexpips.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Nicholas Barker"
#property link      "http://www.apexpips.com"

string pairs[19]={
"EURJPY",
"EURAUD",
"AUDJPY",//1 d
"EURCHF",
"CHFJPY",//6 h, inv
"EURGBP",
"GBPJPY",//12 inv
"USDJPY",//14
"AUDUSD",//2 d
"EURUSD",//3 d
"GBPUSD",//13
"USDCHF",//8 
"GBPCHF",//7 inv//14
"EURCAD",
"USDCAD",//9 inv
"CADJPY",//4 d
"AUDCAD",
"NZDUSD",
"AUDNZD",
};
//+----------------------------------:--------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int init(){
   start();
   return(0);
}

int start()
  {
//----
  // while(true){
      swaps();
    //  Sleep(50000);
  // }
//----
  // return(0);
  }
//+------------------------------------------------------------------+


void swaps(){
   string k="\n";
   for(int i=0;i<19;i++){
      k=k+StringConcatenate(pairs[i],"____Long= [ ",mk(pairs[i],1)," ]____Short= [ ",mk(pairs[i],2)," ]\n");
   }
   k=k+"\n\n\n";
   double totalswap;
   if(DayOfWeek()==3)int mult=3;else mult=1;   
   for(i=0;i<OrdersTotal();i++){
      if(OrderSelect(i,SELECT_BY_POS)){
         if(OrderType()==OP_BUY){
            double sw=mk(OrderSymbol(),1);
         }else{
            sw=mk(OrderSymbol(),2);
         }
         totalswap+=NormalizeDouble(sw*OrderLots()*mult,2);
         k=k+StringConcatenate(OrderSymbol(),"  SWAP = ",NormalizeDouble(sw*OrderLots()*mult,2),"\n");
      }
   }
   if(totalswap>0)string j=" + ";else j=" - ";
   k=k+StringConcatenate("TOTAL SWAPS ( ",j,totalswap," )");
   Comment(k);
}      
      
double mk(string k,int m){
   if(m==1)int b=MODE_SWAPLONG;else b=MODE_SWAPSHORT;
   return(MarketInfo(k,b));
}